import { fetch, post } from '@api/api';

/**
 * 查询SystemParams
 * @param params 请求参数
 * @param headers 请求头
 */
export function fetchSystemParamsPage(params = {}, headers = {}) {
  return fetch({
    url: '/upms/system-params/page',
    params: params,
    headers: headers
  });
}

/**
 * 新增SystemParams
 * @param params 请求参数
 * @param headers 请求头
 */
export function createSystemParams(params = {}, headers = {}) {
  return post({
    url: '/upms/system-params/create',
    params: params,
    headers: headers
  });
}

/**
 * 更新SystemParams
 * @param params 请求参数
 * @param headers 请求头
 */
export function updateSystemParams(params = {}, headers = {}) {
  return post({
    url: '/upms/system-params/update',
    params: params,
    headers: headers
  });
}

/**
 * 删除SystemParams
 * @param params 请求参数
 * @param headers 请求头
 */
export function removeSystemParams(params = {}, headers = {}) {
  return post({
    url: '/upms/system-params/remove',
    params: params,
    headers: headers
  });
}
